Four Stars

Problem tElasticsearchindex with elasticsearch V5.x

Dear community,

I'm using Talend for BigData 6.3, and I'm facing a problem to run the component tElasticsearchIndex on the last version of Elasticsearch version 5.x.

I tried to add the latest jar of elasticsearch and lucene, but i have usually the same problem of build transport.

 

 

I used before this component but with elasticsearch v 2.x, and it is time now to upgarde my solution.

 

Have ideas please, telasticsearchindex doesn't work with v5.x ?
Regards,

1 ACCEPTED SOLUTION

Accepted Solutions
Ten Stars

Re: Problem tElasticsearchindex with elasticsearch V5.x

as variant - You can switch to REST API https://www.elastic.co/guide/en/elasticsearch/reference/5.2/indices-create-index.html

and use tRESTClient for Your operations

-----------
4 REPLIES
Ten Stars

Re: Problem tElasticsearchindex with elasticsearch V5.x

as variant - You can switch to REST API https://www.elastic.co/guide/en/elasticsearch/reference/5.2/indices-create-index.html

and use tRESTClient for Your operations

-----------
Four Stars

Re: Problem tElasticsearchindex with elasticsearch V5.x

Hi,

Thanks, this solution works!!

The component tElasticsearchIndex is no longer supporting the recent version of elasticsearch?

Highlighted
Ten Stars

Re: Problem tElasticsearchindex with elasticsearch V5.x

this is not official c component, it created by user, and supported by this user until user want todo this 

 

-----------
Four Stars

Re: Problem tElasticsearchindex with elasticsearch V5.x

Ah thanks, TRestClient can do what i want. Smiley Happy